package com.kingdee.eas.custom.designresults;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractDesignResultsInfo extends com.kingdee.eas.xr.XRBillBaseInfo implements Serializable 
{
    public AbstractDesignResultsInfo()
    {
        this("id");
    }
    protected AbstractDesignResultsInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 设计成果会签单 's 申请人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPeople()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("people");
    }
    public void setPeople(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("people", item);
    }
    /**
     * Object: 设计成果会签单 's 申请部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getDepartment()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("department");
    }
    public void setDepartment(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("department", item);
    }
    /**
     * Object: 设计成果会签单 's 申请公司 property 
     */
    public com.kingdee.eas.basedata.org.CompanyOrgUnitInfo getCompany()
    {
        return (com.kingdee.eas.basedata.org.CompanyOrgUnitInfo)get("company");
    }
    public void setCompany(com.kingdee.eas.basedata.org.CompanyOrgUnitInfo item)
    {
        put("company", item);
    }
    /**
     * Object:设计成果会签单's 会签内容property 
     */
    public String getContent()
    {
        return getString("content");
    }
    public void setContent(String item)
    {
        setString("content", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("2A576C3D");
    }
}